Форум программистов, компьютерный форум, киберфорум
Наши страницы

Google Play - Приложение несовместимо с вашими устройствами - Программирование Android

Войти
Регистрация
Восстановить пароль
Другие темы раздела
Программирование Android RecognizerIntent без уведомления "Ничего не найдено" http://www.cyberforum.ru/android-dev/thread1209474.html
Встраиваю в программу распознавание речи Google помощью RecognizerIntent. После отправки интента открывается окно распознавания и в случае успеха закрывается, возвращая на на первый план вызывающую...
Программирование Android Widget не работает OnUpdate собственно в OnResive вижу получение события APPWIDGET_UPDATE, однако Log.w("OnUpdate", "Do"); // !!!!!!----!!!!!! не вызывается ни разу public class InvoiceWidget extends... http://www.cyberforum.ru/android-dev/thread1209296.html
Создавая любой проект в папках ресурсов появляются ошибки No resource found that matches the given name Программирование Android
Решил вот на днях новый проект создать и слегка в недоумении... создавая любой проект в папках ресурсов появляются ошибки типа error: Error retrieving parent for item: No resource found that...
Apk и БД Программирование Android
Программа работает с БД. Делаю apk - ставлю на планшет - устанавливаю. Естественно, что ставится всё это дело без БД. Вопрос, как/куда подключить БД уже в устройстве?
Программирование Android Подскажите пожалуйста компилятор .java файлов на андроид, или то, что может заменить JDK http://www.cyberforum.ru/android-dev/thread1209110.html
Подскажите пожалуйста компилятор .java файлов на андроид, или то, что может заменить JDK. Заранее благодарен. P.S. JavaIDEdroid можете не предлагать. Я его нашёл, но это не то что я ищу, я только...
Программирование Android Кастомизация ListView http://imglink.ru/pictures/15-06-14/3d97212a44f93f016eb14cfbf868d023.jpg Как реализовать кастомизацию списка, как в офф приложении вконтакте? В частности интересует нижняя строка. Лайки,... подробнее

Показать сообщение отдельно
PeterBox
0 / 0 / 0
Регистрация: 08.02.2013
Сообщений: 8

Google Play - Приложение несовместимо с вашими устройствами - Программирование Android

16.06.2014, 21:52. Просмотров 3294. Ответов 0
Метки (Все метки)

Загрузил на play.google альфа версию своего приложения.
Не могу скачать и установить его, т.к. на страничке приложения в Google Play выдает "Приложение несовместимо с вашими устройствами."
Устройства у меня с версиями Андроида 4.1.1-4.2.1 и из Eclipse на них это приложение устанавливается.
Мой файл манифеста:
Кликните здесь для просмотра всего текста
XML
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="..."
    android:versionCode="1"
    android:versionName="1.1" android:installLocation="internalOnly">
 
    <uses-sdk
        android:minSdkVersion="11"
        android:targetSdkVersion="17"/>
    <!-- Internet Permissions -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
 
    <application
        android:configChanges="orientation|screenSize|keyboardHidden"
 ...       
    </application>
 
</manifest>

Сведения об апк в консоли разработчика:
Кликните здесь для просмотра всего текста

ПОДРОБНЫЕ СВЕДЕНИЯ ОБ APK-ФАЙЛЕ

Код версии
1

Название версии
1.0

Размер
1,29 МБ
Уровни API 11+
Макеты экрана 4 макета
Переводы только язык по умолчанию
Требования 2 функции
android.hardware.screen.LANDSCAPE
android.hardware.TOUCHSCREEN
Необходимые разрешения 3 разрешения
android.permission.ACCESS_NETWORK_STATE
android.permission.INTERNET
android.permission.READ_PHONE_STATE
Версии OpenGL ES 1.0+
Текстуры OpenGL все текстуры
Дата добавления 14.06.2014, 9:21:30


А в секции Дополнительная информация на Google Play пишет :
Требуется версия Android
1.6 или более поздняя, хотя SDK 11+ это 3.0 и выше.
Как это побороть?

Добавлено через 28 минут
дополнение:
в списке моих устройств на Google Play есть "Ukrainian Mobile Communication, UMC TCT ALCATEL ONE TOUCH 8008D" с крестиком, указывающем на несовместимость, при этом в консоли разработчика есть совместимое устройство "TCT Mobile Limited (Alcatel)ALCATEL ONE TOUCH 8008D– Scribe5HD"

Добавлено через 4 часа 53 минуты
Залил вторую версию. Выдало "Приложение совместимо со всеми вашими устройствами." Добавил только одно изменение в манифесте
XML
1
<supports-screens android:smallScreens="false" android:largeScreens="true" android:normalScreens="true" android:resizeable="true" android:xlargeScreens="true" android:anyDensity="true"/>
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
 
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru